Change when a hold ends
Only a hold that is on. Needs write on Animals.
PATCH
https://{organization}.rescueconsole.com
/
api
/
animals
/
holds
/
{id}
Change when a hold ends
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/holds/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hours": 1080
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hours: 1080})
};
fetch('https://{organization}.rescueconsole.com/api/animals/holds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds/{id}"
payload = { "hours": 1080 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"hold": {
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Body
application/json
⌘I
Change when a hold ends
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/holds/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hours": 1080
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hours: 1080})
};
fetch('https://{organization}.rescueconsole.com/api/animals/holds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/holds/{id}"
payload = { "hours": 1080 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"hold": {
"id": "<string>",
"animal_id": "<string>",
"person_id": "<string>",
"placed_at": "2023-11-07T05:31:56Z",
"status": "active",
"previous_status": "<string>",
"animal_name": "<string>",
"person_name": "<string>",
"application_id": "<string>",
"placed_by_person_id": "<string>",
"placed_by_name": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"deposit_id": "<string>",
"deposit_cents": 123,
"deposit_state": "waiting",
"ended_at": "2023-11-07T05:31:56Z",
"end_note": "<string>",
"told_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
